# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.photos.impl
Class CommentDataImpl

    java.lang.Object
      com.google.gdata.data.photos.impl.GphotoDataImpl
          com.google.gdata.data.photos.impl.CommentDataImpl

All Implemented Interfaces:
  CommentData, Extensible, GphotoData

    public class CommentDataImpl

extends GphotoDataImpl
implements CommentData

Implementation class for album data objects. This class takes an `ExtensionPoint` and uses it to provide all of the methods that `CommentData` specifies. These methods are handled by using extension classes to retrieve or set extensions of the appropriate type.

Field Summary

Fields inherited from interface com.google.gdata.data.photos.CommentData
`COMMENT_CATEGORY, COMMENT_KIND, KIND`

Constructor Summary
`CommentDataImpl(ExtensionPoint extensionPoint)` Construct a new implementation of CommentGphotoData with the given extension point as the backing storage of data.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an Extensible within the target extension profile.
`java.lang.String` `getAlbumId()` Gets the albumid of the album the comment is contained in.
`java.lang.String` `getPhotoId()` Gets the id of the photo this comment is about.
`void` `setAlbumId(java.lang.Long albumId)` Set the albumId for the album this comment is on.
`void` `setAlbumId(java.lang.String albumId)` Set the albumId for the album this comment is on.
`void` `setPhotoId(java.lang.Long photoId)` Set the photoId for the photo this comment is on.
`void` `setPhotoId(java.lang.String photoId)` Set the photoId for the photo this comment is on.

Methods inherited from class com.google.gdata.data.photos.impl.GphotoDataImpl
`addExtension, addRepeatingExtension, declare, getExtension, getGphotoId, getRepeatingExtension, getSimpleValue, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setGphotoId, setGphotoId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gdata.data.photos.GphotoData
`getGphotoId, setGphotoId, setGphotoId`

Methods inherited from interface com.google.gdata.data.photos.Extensible
`addExtension, addRepeatingExtension, removeExtension, removeExtension, removeRepeatingExtension, setExtension`

Constructor Detail

### CommentDataImpl

    public CommentDataImpl(ExtensionPoint extensionPoint)

  Construct a new implementation of CommentGphotoData with the given extension point as the backing storage of data.

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from interface: `Extensible`
  Declares the set of expected Extension types for an Extensible within the target extension profile. Forwards to `ExtensionPoint.declareExtensions(ExtensionProfile)`.

  Specified by:
    `declareExtensions` in interface `Extensible`
  Overrides:
    `declareExtensions` in class `GphotoDataImpl`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.

### getAlbumId

    public java.lang.String getAlbumId()

  Description copied from interface: `CommentData`
  Gets the albumid of the album the comment is contained in.

  Specified by:
    `getAlbumId` in interface `CommentData`
  Returns:
    the albumId of the album this comment is on.

### setAlbumId

    public void setAlbumId(java.lang.Long albumId)

  Set the albumId for the album this comment is on.

  Specified by:
    `setAlbumId` in interface `CommentData`
  Parameters:
    `albumId` - the albumId of the comment.

### setAlbumId

    public void setAlbumId(java.lang.String albumId)

  Set the albumId for the album this comment is on.

  Specified by:
    `setAlbumId` in interface `CommentData`
  Parameters:
    `albumId` - the albumId of the comment.

### getPhotoId

    public java.lang.String getPhotoId()

  Description copied from interface: `CommentData`
  Gets the id of the photo this comment is about.

  Specified by:
    `getPhotoId` in interface `CommentData`
  Returns:
    the photoId of the photo this comment is on.

### setPhotoId

    public void setPhotoId(java.lang.Long photoId)

  Set the photoId for the photo this comment is on.

  Specified by:
    `setPhotoId` in interface `CommentData`
  Parameters:
    `photoId` - the photoId of the comment.

### setPhotoId

    public void setPhotoId(java.lang.String photoId)

  Set the photoId for the photo this comment is on.

  Specified by:
    `setPhotoId` in interface `CommentData`
  Parameters:
    `photoId` - the photoId of the comment.